Bug 521669 (InitScriptsProject)

Summary: Initscripts Fixes tracker
Product: [Fedora] Fedora Reporter: David Kovalsky <dkovalsk>
Component: distributionAssignee: David Kovalsky <dkovalsk>
Status: CLOSED WONTFIX QA Contact: David Kovalsky <dkovalsk>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: amarecek, benl, gozen, jscotka, maurizio.antillon, mmarcini, mvadkert, ohudlick, psklenar, tpelka, ykopkova
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 633349 (view as bug list) Environment:
Last Closed: 2012-08-16 21:52:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 246891, 448393, 519339, 521095, 521195, 521246, 521253, 521596, 521641, 521647, 521648, 521650, 521654, 521656, 521675, 521772, 521797, 521804, 521807, 521825, 521828, 521830, 521844, 521848, 521852, 521860, 521875, 522071, 522074, 522078, 522080, 522093, 522094, 522098, 522103, 522111, 522131, 522134, 522146, 522149, 522156, 522461, 522462, 522464, 522474, 522708, 522721, 522740, 522743, 522753, 522756, 522770, 522789, 522806, 522818, 522888, 522947, 523126, 523169, 523177, 523181, 523217, 523221, 523223, 523227, 523233, 523238, 523240, 523244, 523247, 523363, 523366, 523368, 523370, 523379, 523381, 523385, 523391, 523394, 523397, 523434, 523435, 523438, 523913, 523974, 523976, 524016, 524218, 524226, 524256, 524477, 524480, 524486, 524489, 524586, 525484, 527674, 527734, 527946, 527957, 527987, 528016, 528151, 528154, 528178, 532373, 533247, 533280, 536962, 537223, 537242, 537506, 537509, 537911, 537925, 541254, 541368, 541382, 541389, 541402, 541592, 545012, 559917, 559920, 566494, 614193, 802681    
Bug Blocks:    

Description David Kovalsky 2009-09-07 15:00:45 UTC
This is a tracking bug for initscripts that are not compliant with:
https://fedoraproject.org/wiki/FCNewInit/Initscripts

Comment 1 Kevin Fenzi 2009-09-07 17:12:02 UTC
This wiki page is not a Fedora guideline. ;) 

Please point people to the real page: 

https://fedoraproject.org/wiki/Packaging/SysVInitScript

Which likely has differences (although all the bugs I see off hand do seem to be valid against the real guideline page. )

Comment 2 David Kovalsky 2009-09-07 17:54:41 UTC
Thanks Kevin!

I'll update the info.

Comment 3 Warren Togami 2009-09-08 21:36:45 UTC
Who decided that LSB compliance is a requirement?  I might be missing something.  Could you please clarify?

Comment 4 Warren Togami 2009-09-10 13:24:19 UTC
Stop calling it LSB compliance, since that isn't actually what the bugs are?

Comment 5 Petr Šplíchal 2009-09-14 12:16:28 UTC
(In reply to comment #4)

> Stop calling it LSB compliance, since that isn't actually what
> the bugs are?  

Good point! If we're trying to make the initscripts compliant, we
should really make absolutely clear to what specification. If this
is not to be LSB but Fedora Guidelines, let's call it accordingly.

Anyway, why do we have the two Fedora initscript wiki pages? This
is not a good way how to create a standard. I suggest to merge the
two pages (seems to me that the FCNewInit/Initscripts is almost
copy and paste of LSB anyway).

One more question: Is it really good idea to enforce the "reload"
action for all services? I can imagine that some services really
do not support reloading config file on-the-fly and reporting
status code 3 [unimplemented feature (for example, "reload")]
(this example being th part of the guideline ?!) is a valid use
case. (There's always the force-reload if we don't care whether
the service function will be interrupted or not.)

Comment 6 Dan Horák 2009-09-21 09:26:14 UTC
(In reply to comment #5)
> (In reply to comment #4)
> 
> > Stop calling it LSB compliance, since that isn't actually what
> > the bugs are?  
> 
> Good point! If we're trying to make the initscripts compliant, we
> should really make absolutely clear to what specification. If this
> is not to be LSB but Fedora Guidelines, let's call it accordingly.
> 
> Anyway, why do we have the two Fedora initscript wiki pages? This
> is not a good way how to create a standard. I suggest to merge the
> two pages (seems to me that the FCNewInit/Initscripts is almost
> copy and paste of LSB anyway).

It would be also helpful to have new sample initscript that's compliant with the requirements and that will be discussed in the Packaging Commitee and/or in the developers community even if this action is primarily targeted on RHEL6. All maintainers developing their own versions isn't really how it should work ...

> One more question: Is it really good idea to enforce the "reload"
> action for all services? I can imagine that some services really
> do not support reloading config file on-the-fly and reporting
> status code 3 [unimplemented feature (for example, "reload")]
> (this example being th part of the guideline ?!) is a valid use
> case. (There's always the force-reload if we don't care whether
> the service function will be interrupted or not.)

Comment 7 Bug Zapper 2009-11-16 12:01:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Petr Sklenar 2010-02-10 13:47:26 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> It would be also helpful to have new sample initscript that's compliant with
> the requirements and that will be discussed in the Packaging Commitee and/or in
> the developers community even if this action is primarily targeted on RHEL6.
> All maintainers developing their own versions isn't really how it should work

Which service and which version of this service is LSB 'almost' compliant now?

Comment 9 Bug Zapper 2010-11-04 10:11:12 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2011-06-02 17:46:31 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 David Kovalsky 2011-06-02 18:14:53 UTC
This is a tracker (wow, only 5 bugs left to go) so bumping to F14 to not get autoclosed.

Comment 12 Fedora End Of Life 2012-08-16 21:52:04 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping